ara (1.0.32) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #833610)
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Oct 2016 22:48:49 +0100

ara (1.0.31) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA group. 
  * Uploaders field removed, the package is orphaned.
  * Standards-Version set to 3.9.3.

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 May 2012 21:17:26 +0000

ara (1.0.30) unstable; urgency=low

  * Rebuild with ocaml 3.12.0
  * Add some use cases to README.Debian
  * Standards-Version: 3.9.1 (no changes needed)
  * Split build dependencies one per line
  * Switch to 3.0 (native) source format

 -- George Danchev <danchev@spnet.net>  Mon, 18 Apr 2011 19:37:15 +0300

ara (1.0.29) unstable; urgency=low

  * OCaml str library has been renamed to libcamlstr.a,
    but it is not needed to be linked so dropped (Closes: #580029)

 -- George Danchev <danchev@spnet.net>  Fri, 11 Jun 2010 21:00:55 +0300

ara (1.0.28) unstable; urgency=low

  * Use dh-ocaml 0.9 features
  * Rebuilt for OCaml 3.11.2
  * Upgrade Standards-Version to 3.8.4 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 11 Feb 2010 23:02:42 +0000

ara (1.0.27) unstable; urgency=low

  [ George Danchev ]
  * Added httpd/Makefile providing a clean target via config/Makefile.exec

  [ Sylvain Le Gall ]
  * Upgrade standards-version to 3.8.2 (no change)
  * Remove *-byte package which are complicated to maintain, provide either
    bytecode or native version depending on arch
  * Update debian/copyright to http://wiki.debian.org/Proposals/CopyrightFormat

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 10 Jul 2009 22:57:48 +0000

ara (1.0.26) unstable; urgency=low

  [ George Danchev ]
  * Update standards version to 3.8.0, no changes needed.
  * xara-gtkrc-2.0 is supplied commented out (serving as an example), since 
    LablGTK2 causes xara to crash with some window managers (rendering
    engines).
  * Drop BUGS file, since its data are consolidated.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Use dh-ocaml.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 04 Mar 2009 09:58:10 +0100

ara (1.0.25) unstable; urgency=low

  * rebuild against OCaml 3.10.2

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 28 May 2008 19:58:22 +0200

ara (1.0.24) unstable; urgency=high

  * add debian/control.in with the usual indirection to fill the Architecture
    field with the current list of architectures supported by the native code
    compiler
  * add debian/README.Debian-source documenting the above change
  * make debian/rules fail when binary-arch is invoked on architectures which
    are missing /usr/bin/ocamlopt. It should never happen and probably will
    only if in the future we drop some more OCaml native architectures and
    forget to update this package
  * bump the urgency for the OCaml 3.10.1 transition

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 06 Mar 2008 17:28:20 +0100

ara (1.0.23) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * add myself as an uploder
  * bump standards-version, no changes needed
  * bump urgency for the OCaml 3.10.1 transition
  * add Homepage field
  * make Vcs-* fields point to trunk/, to avoid checking out tags
  * fix GTK spelling in package descriptions

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 08 Dec 2007 13:55:34 +0100

ara (1.0.22) unstable; urgency=low

  [ George Danchev ]
  * Applied a patch from Eric Cooper to fix a ftbfs for notebook
    objects in GPack which now return an int (Closes: #453191)

  [ Sylvain Le Gall ]
  * Add myself to uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 08 Dec 2007 00:35:16 +0100

ara (1.0.21) unstable; urgency=low

  * Make -list option default output style (Closes: #446454)

 -- George Danchev <danchev@spnet.net>  Sun, 14 Oct 2007 09:56:54 +0300

ara (1.0.20) unstable; urgency=low

  * Add missing build-dependency on camlp4.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 17:58:19 +0200

ara (1.0.19) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 17:25:45 +0200

ara (1.0.18) unstable; urgency=low

  * control: Added armel and kfreebsd-amd64 (Closes: #438338)
  * control: Do not disable errors in the clean target
  * menu:    Comply with the new section structure

 -- George Danchev <danchev@spnet.net>  Thu, 16 Aug 2007 21:33:38 +0300

ara (1.0.17) unstable; urgency=low

  * cli: don't use heap compaction in non-interactive mode 
  * renamed Vcs-Svn to match the final name

 -- George Danchev <danchev@spnet.net>  Fri, 13 Oct 2006 15:44:19 +0300

ara (1.0.16) unstable; urgency=low

  * unify heap_compation in cli; use it on initial database load
  * print update hints if database could not be loaded
  * minor manpage cleanups
  * control: XS-X-VCS-Svn: svn://svn.debian.org/svn/ara
  * debhelper compat level 5 - no changes needed
  * xara-gtk-byte depends on liblablgtk2-ocaml (Closes: #390686)

 -- George Danchev <danchev@spnet.net>  Fri, 18 Aug 2006 19:29:12 +0300

ara (1.0.15) unstable; urgency=low

  * change pointer type from X_CURSOR to LEFT_PTR  (Closes: #382824)
  * add Sources list files to the default {x}ara.config (Closes: #382820)
  * mention Sources list files in OTHER FILES section of the manpage
  * mention packagesearch(1) instead of dpkg-iasearch in SEE ALSO section

 -- George Danchev <danchev@spnet.net>  Mon, 14 Aug 2006 14:26:38 +0300

ara (1.0.14) unstable; urgency=low

  [ George Danchev ]
  * trigger database reloading and heap compaction on #update

 -- George Danchev <danchev@spnet.net>  Sat, 22 Jul 2006 18:15:56 +0300

ara (1.0.13) unstable; urgency=low

  [ George Danchev ]
  * improve package description. (Closes: #357831)
  * README.Debian mantions that this is a native debian source package
  * remove rules.hack
  * remove hppa and add hurd-i386 to native arch list

  [ Samuel Mimram ]
  * Updated standards version to 3.7.2, no changes needed.
  * We don't need to remove rpaths anymore.

 -- Samuel Mimram <smimram@debian.org>  Fri, 19 May 2006 07:59:54 +0000

ara (1.0.12) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.
  * Removing rpath from xara-gtk.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Jan 2006 11:20:42 +0000

ara (1.0.11) unstable; urgency=low

  [ George Danchev ]
  * Add kfreebsd-i386 to supported arch list. (Closes: #327753)
  * Add copyright information.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.09.0, no longer hardcoding OCaml's ABI in control.

 -- Samuel Mimram <smimram@debian.org>  Sun, 20 Nov 2005 12:38:55 +0100

ara (1.0.10) unstable; urgency=low

  [ George Danchev ]
  * Move generic info from control to README.Debian. (Closes: #317531)
  * Make clear native/bytecode, resp. faster/slower. (Closes: #325469)
  * Do *not* mention dpkg-iasearch and magpie in manpage since they're
    left in oldstable (woody) only and unmaintained. (Closes: #316430)

  [ Samuel Mimram ]
  * Updated Standards-Version to 3.6.2.
  * Updated the FSF address in the copyright file.

 -- Samuel Mimram <smimram@debian.org>  Thu,  8 Sep 2005 21:46:06 +0200

ara (1.0.9) unstable; urgency=medium

  Changes by Samuel Mimram:

  * Build arch-dependent packages only on archs supported by ocamlopt,
    closes: #290338.
  * Updated to OCaml 3.08.3.
  * Updated Standards-Version to 3.6.1.1.
  
  Changes by George Danchev:
  
  * README.Debian and copyright reflect the new project's home. 

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Mar 2005 12:42:58 +0100

ara (1.0.8) unstable; urgency=low

  Changes by Samuel Mimram:

  * Cleaner rules files (binary-arch / indep are really used).
    (Closes: #286597)
  * The installation is now made by the main Makefiles instead of the rules.
  * Added a menu file for xara-gtk.

  Changes by George Danchev:

  * Add missing dependency of liblablgtk2-ocaml to xara-gtk and xara-gtk-byte.
    (Closes: #286367)
  * dh_strip -a

  Changed by Berke Durak:

  * Manual page refers to the Debian package names when talking of ara in xara
    or of xara in ara.
    (Closes: #286413)
  * Backported some speed improvements from 1.1.0 ; -cache-strings turned off
    by default.
  * Fixed typos in manual page code examples.
    (Closes: #286412)
  * Backported some syntax from 1.1.0 : and operator can be omitted.
  * Workaround for Qt rendering engine crashes (due to LablGTK or the engine)
    by means of an extra config. file.
    (Closes: #286589)

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Tue, 21 Dec 2004 22:07:08 +0100

ara (1.0.7) unstable; urgency=low

  * uploaded without proper entries ?

 -- George Danchev <danchev@spnet.net>  Mon, 20 Dec 2004 00:36:52 +0200

ara (1.0.6) unstable; urgency=low

  * Fixed important bug in set modules.
  * Started HTTP daemon.

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Fri,  3 Dec 2004 17:41:46 +0100

ara (1.0.5b) unstable; urgency=low

  * Ooops: gui.commands.* -> xara.commands.*
  * Make clean removes .depend files

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Wed,  1 Dec 2004 19:20:15 +0100

ara (1.0.5a) unstable; urgency=low

  * Ooops: cli.commands.pager -> ara.commands.pager

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Thu, 18 Nov 2004 08:25:06 +0100

ara (1.0.5) unstable; urgency=low

  * Pane and window size adjustments.

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Wed, 17 Nov 2004 21:40:37 +0100

ara (1.0.5rc4) unstable; urgency=low

  Changes by Berke Durak:

  * Fixed lot of small bugs.
  * Added #print in CLI.
  * Automatic selection of low-memory or high-memory backend.
  * Added apt-get upgrade, apt-get dist-upgrade.
  * Changed configuration strings to avoit repeating sudo or xterm -e.
  * Reverted to using Makefiles.

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Wed, 17 Nov 2004 16:09:49 +0100

ara (1.0.5rc3) unstable; urgency=low

  Changes by Berke Durak:

  * Optimized memory usage in normal mode.
  * Started low memory mode (-very-slow).
  * Heavily refactored Dpkg module.
  * Powerful, new configuration file syntax.
  * Persistance of GUI settings (window size, checkboxes, ...)
  * Added "Show files" tab to preference editor
  * Removed Makefiles and converted to ocamlconf.
  * Replaced ocaml-findlib with ocamlconf in Build-Depends.
  * Added Home, End, Page Up and Page Down bindings to ledit.

  Changes by George Danchev:

  * Added ocaml-findlib in Build-Depends:

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Mon, 15 Nov 2004 19:41:54 +0100

ara (1.0.4) unstable; urgency=low

  Changes by George Danchev:

  * control, control.smart: Added m4 in Build-Depends:
  * finally complete the implementation of spamoracle magic:
    native build on arches having ocamlopt and bytecode for all
    added compat 4, removed -a from dh_installdirs
    remove control.smart and rules.smart
  * Add commented DH_COMPAT=4 to rules although using 4 in debian/compat
  * fix directories for ara-byte, xara-gtk-byte

  Changes by Berke Durak:

  * Hopefully got Debver module right this time (ran it against the test suite found
  in APT)
  * Added check box for case-insensitive searches in field contents
  * Added check box to show only newest version
  * Added a "Simple search" dialog for the syntactically challenged.  It
    contains a button to show the list of existing sections.
  * Text entry box for searching field contents starts deactivated.
  * Added a check box to show all fields, even empty ones.

 -- George Danchev <danchev@spnet.net>  Sat,  6 Nov 2004 21:08:12 +0100

ara (1.0.3) unstable; urgency=low

  Changes by Berke Durak:

  * Added Debver module for correctly comparing Debian version numbers.
  * Uses Debver to filter old versions when -coalesce is set.
  * Redid menu layout.
  * Cleaned-up GUI code.
  * Added menu accelerators and mnemonics.
  * Added a "Newest only" check box.
  * Rewritten ara.1 manual page and included ledit manual page.
  * Changed makefiles to use bytecode compiler by default and to strip executables.
  * Added version.ml.
  * Automatic config file creation.
  * Config files are now in ~/.ara
  * CLI: added #memory and #compact, #install, #remove.
  * Fixed zombies and SIGPIPE problem with pager.
  * Added #fields (equivalent to #set -fields) ; now warns about non-existent
    fields.

  Changes by George Danchev:

  * Add control.smart: trying to port the idea of spamoracle packaging approach
    - xara-gtk: remove ocaml-base-3.08 from Depends:
    - xara-gtk-byte: change ocaml-base-3.08 to ocaml-base-nox-3.08 in Depends:
    - remove ocaml-nox-3.08, ocaml-interp from Build-Depends:
  * Add rules.smart:
    - handle installs for ara, ara-byte, xara-gtk, xara-gtk-byte

 -- Berke Durak <berke@congruence.net1.nerim.net>  Sun, 31 Oct 2004 19:10:30 +0100

ara (1.0.2) unstable; urgency=low

  * Can change options in interactive mode
  * Added field merging
  * Added /var/lib/dpkg/status to default list of databases.  This allows
    to search packages by installation status.
  * Added redirection operators.
  * Fixed line breaking.
  * Added -coalesce option to avoid displaying different versions of a
    same package.  (Still buggy -- does not use the newest version).
  * Fixed bug : ara now loads config on startup
  * Better command parsing (less bugs, ignore leading spaces, etc.)

 -- Berke Durak <berke@congruence.net1.nerim.net>  Thu, 28 Oct 2004 21:41:31 +0200

ara (1.0.1) unstable; urgency=low

  * Added manpage for xara
  * Added copyright files for ara and xara
  * Added README.Debian files for ara and xara
  * Added changelog files for ara and xara
  * Added ocaml-base-3.08 as runtime dependency for ara and xara,
    although they might be natively compiled. Improvements might be
    ported from the spamoracle package
  * Use dh_md5sums
  * Use ocaml-best-compilers instead of ocaml-native-compilers
  * Use 'make bt' (bytecode) on all arches and 'make' on arches having /usr/bin/ocamlopt
  * Removed liblablgl-ocaml-dev from Build-Depends

 -- George Danchev <danchev@spnet.net>  Wed, 27 Oct 2004 15:29:47 +0300

ara (1.0-1) unstable; urgency=low

  * Initial Release.

 -- George Danchev <danchev@spnet.net>  Wed,  27 Oct 2004 11:06:15 +0300

ara (0.4.20030813-2) unstable; urgency=low

  * Acknowledge NUM (Closes: #214993)
  * Change build dependencies (Closes: #262947: ara: has to be recompiled for
    ocaml 3.08)

 -- Thomas Schoepf <schoepf@debian.org>  Tue,  3 Aug 2004 11:37:01 +0200

ara (0.4.20030813-1.3) unstable; urgency=low

  * NMU to fix previous NMUs.
  * Updated OcamlMakefile with the version from ocaml-tools.

 -- Sven Luther <luther@debian.org>  Thu, 16 Oct 2003 18:15:11 +0200

ara (0.4.20030813-1.2) unstable; urgency=high

  * NMU to fix previous NMU.
  * Ara uses OcamlMakefile, which is somewhat broken, and insist on using
    the native code compilers, even if they are not installed. Added a build
    depend on this which should fix the problem, but ideally any hint of
    OcamlMakefile should be purged from this package, or OcamlMakefile should
    be fixed. (Closes: #214993)

 -- Sven Luther <luther@debian.org>  Thu, 16 Oct 2003 09:00:49 +0200

ara (0.4.20030813-1.1) unstable; urgency=low

  * NMU with maintainer's consent.
  * Modified to conform to the ocaml packaging policy.

 -- Sven Luther <luther@debian.org>  Sun,  5 Oct 2003 12:23:58 +0200

ara (0.4.20030813-1) unstable; urgency=low

  * New upstream version.

 -- Thomas Schoepf <schoepf@debian.org>  Fri, 15 Aug 2003 22:39:13 +0200

ara (0.4.20030610-1) unstable; urgency=low

  * New upstream version.

 -- Thomas Schoepf <schoepf@debian.org>  Tue, 24 Jun 2003 16:09:52 +0200

ara (0.3.20030501-1) unstable; urgency=low

  * New upstream version.
  * -table option no longer displays borders. The new option "-borders"
    brings them back. Closes: #190088: ara: -table has no borders option

 -- Thomas Schoepf <schoepf@debian.org>  Thu,  1 May 2003 16:48:11 +0200

ara (0.2.20030318-2) unstable; urgency=low

  * Closes: #189536: ara: spelling error in package description

 -- Thomas Schoepf <schoepf@debian.org>  Sat, 19 Apr 2003 12:26:18 +0200

ara (0.2.20030318-1) unstable; urgency=low

  * Initial Release.

 -- Thomas Schoepf <schoepf@debian.org>  Thu,  3 Apr 2003 17:47:39 +0200

